/*--------------------------------------------------------------------------
 *
 * 	You may freely copy, distribute, and reuse the code in this example.
 * 	SHL Systemhouse disclaims any warranty of any kind, expressed or  
 *	implied, as to its fitness for any particular use.
 *
 *
 *	Observer
 *
 *	Inherits From:		NSObject
 *
 *	Conforms To:		None
 *
 *	Declared In:		Observer.h
 *
 *	Class Description
 *
 *		Observes notification.
 *
 *
 *------------------------------------------------------------------------*/
#import <foundation/NSObject.h>
@class NSNotification;



@interface Observer : NSObject
{
	id	flagButton;
	id	registerButton;
	id	removeButton;
}

- registerObserver: sender;
- removeObserver: sender;
- (void) flagRaised: (NSNotification*) aNotification;

@end
