/*--------------------------------------------------------------------------
 *
 * 	You may freely copy, distribute, and reuse the code in this example.
 * 	SHL Systemhouse disclaims any warranty of any kind, expressed or
 *	implied, as to its fitness for any particular use.
 *
 *
 *	EOModelInspector
 *
 *	Inherits From:		WMInspector
 *
 *	Conforms To:		none
 *
 *	Declared In:		EOModelInspector.h
 *
 *	Class Description
 *
 *		A WorkspaceManager Inspector for viewing ".eomodel" files.
 *
 *------------------------------------------------------------------------*/

#import <appkit/appkit.h>
#import <foundation/foundation.h>
#import <eoaccess/eoaccess.h>
#import <apps/Workspace.h>



@interface EOModelInspector : WMInspector
{
	id	splitView;
	id	connectionDictionaryView;
	
	id	swapView;
	id	errorPanel;
	id	viewerPanel;

	id	connectionDictionaryMatrix;

	id	browser;

	id	propertySwapView;

	id	entityPanel;
	id	entitySettingsMatrix;

	id	attributePanel;
	id	attributeLockingButton;
	id	attributeClassButton;
	id	attributeKeyButton;
	id	attributeSettingsMatrix;

	id	relationshipPanel;
	id	relationshipManynessMatrix;

@private
	id
		model,
		keyImage,
		classImage,
		lockImage;
}

- itemSelect: sender;

@end
